漏洞信息详情

KDE Frameworks 权限许可和访问控制漏洞

  • CNNVD编号:CNNVD-201607-313
  • 危害等级: 低危
  • CVE编号: CVE-2016-3100
  • 漏洞类型: 信息泄露
  • 发布时间: 2016-07-14
  • 威胁类型: 本地
  • 更新时间: 2016-07-14
  • 厂        商: Kde
  • 漏洞来源:

漏洞简介

KDE Frameworks是KDE社区的开发的一个KDE应用程序的技术基础库和软件框架的集合。kinit是其中的一个用来获取和缓存Kerberos票据的命令行工具。

KDE Frameworks 5.23.0之前版本中的kinit存在安全漏洞,该漏洞源于/tmp/xauth-xxx-_y目录设置弱权限(644)。本地攻击者可通过读取文件利用该漏洞获取其他用户的X11 cookies,获取特权。

漏洞公告

目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:

https://www.kde.org/info/security/advisory-20160621-1.txt

参考网址

来源:kde

链接:https://quickgit.kde.org/?p=kinit.git&a=commitdiff&h=72f3702dbe6cf15c06dc13da2c99c864e9022a58

来源:kde

链接:https://bugs.kde.org/show_bug.cgi?id=358593

来源:kde

链接:https://quickgit.kde.org/?p=kinit.git&a=commitdiff&h=dece8fd89979cd1a86c03bcaceef6e9221e8d8cd

来源:kde

链接:https://bugs.kde.org/show_bug.cgi?id=363140

来源:kde

链接:http://www.kde.com/announcements/kde-frameworks-5.23.0.php

来源:SUSE

链接:http://lists.opensuse.org/opensuse-updates/2016-07/msg00001.html

来源:kde

链接:https://www.kde.org/info/security/advisory-20160621-1.txt

漏洞信息快速查询

相关漏洞

更多